KnuthInlineBox (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.layoutmgr.inline

## Class KnuthInlineBox

- java.lang.Object
- - org.apache.fop.layoutmgr.ListElement
  - - org.apache.fop.layoutmgr.KnuthElement
    - - org.apache.fop.layoutmgr.KnuthBox
      - - org.apache.fop.layoutmgr.inline.KnuthInlineBox

-     public class KnuthInlineBox
      extends KnuthBox

  A knuth inline box.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.layoutmgr.KnuthElement

      `INFINITE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KnuthInlineBox(int width, AlignmentContext alignmentContext, Position pos, boolean auxiliary)` Create a new KnuthBox.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AlignmentContext` | `getAlignmentContext()`
    `FloatContentLayoutManager` | `getFloatContentLM()`
    `FootnoteBodyLayoutManager` | `getFootnoteBodyLM()`
    `boolean` | `isAnchor()`
    `boolean` | `isFloatAnchor()`
    `void` | `setFloatContentLM(FloatContentLayoutManager fclm)`
    `void` | `setFootnoteBodyLM(FootnoteBodyLayoutManager fblm)`

    - ### Methods inherited from class org.apache.fop.layoutmgr.KnuthBox

      `isBox, toString`

    - ### Methods inherited from class org.apache.fop.layoutmgr.KnuthElement

      `getPenalty, getShrink, getStretch, getWidth, isAuxiliary, isUnresolvedElement`

    - ### Methods inherited from class org.apache.fop.layoutmgr.ListElement

      `getLayoutManager, getPosition, isForcedBreak, isGlue, isPenalty, setPosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KnuthInlineBox

          public KnuthInlineBox(int width,
                                AlignmentContext alignmentContext,
                                Position pos,
                                boolean auxiliary)

      Create a new KnuthBox.
      Parameters:
        `width` - the width of this box
        `alignmentContext` - the alignmentContext for this box
        `pos` - the Position stored in this box
        `auxiliary` - is this box auxiliary?

  - ### Method Detail

    - #### getAlignmentContext

          public AlignmentContext getAlignmentContext()

      Returns:
        the alignment context.

    - #### setFootnoteBodyLM

          public void setFootnoteBodyLM(FootnoteBodyLayoutManager fblm)

      Parameters:
        `fblm` - the FootnoteBodyLM this box must hold a reference to

    - #### getFootnoteBodyLM

          public FootnoteBodyLayoutManager getFootnoteBodyLM()

      Returns:
        the FootnoteBodyLM this box holds a reference to

    - #### isAnchor

          public boolean isAnchor()

      Returns:
        true if this box holds a reference to a FootnoteBodyLM

    - #### setFloatContentLM

          public void setFloatContentLM(FloatContentLayoutManager fclm)

    - #### getFloatContentLM

          public FloatContentLayoutManager getFloatContentLM()

    - #### isFloatAnchor

          public boolean isFloatAnchor()

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.